Description

The way my corporate LDAP (MS Active Directory) is configured, all the teams are set up in their own groups.  There is a hierarchy

from division to team, etc.  The division managers are kept in the division level, etc.

The way the current LDAP integration works is that it will only authenticate against the one directory.  I need it to query all the sub

folders as well.  With Apache HTTPD I can do that with the following LDAP query:

ldap://directory.example.com:389/DC=example,DC=com?sAMAccountName?sub?(objectClass=*)

 The ?sub is the flag to recursively check sub directories.

As it is now, I have to add each group individually, as well as the division level.  With five divisions and several teams per division

that can get pretty tedious.

History

#1 - 2009-05-01 21:18 - Daniel Marczisovszky

I've added a patch the uses sub-tree searching by default, if you can, please try it out. It can be found here: #3253

#2 - 2009-06-08 15:46 - Felix Dominguez

- Status changed from New to Resolved

resolved in issue #3253

#3 - 2010-08-20 11:21 - Azamat Hackimov

- Status changed from Resolved to Closed

- Resolution set to Fixed
